import { AuthInfo, ConnectionStatus } from '@genesislcap/foundation-comms';
import { BaseRoute } from '../base';
import { IDP } from '../types';
export declare class LoginForm extends BaseRoute {
    idps: IDP[];
    selectedIDP: string;
    ssoToggled: boolean;
    showConnectionIndicator: boolean;
    connectActionText: string;
    status: ConnectionStatus;
    submitDisabled: boolean;
    private sub;
    connectedCallback(): Promise<void>;
    disconnectedCallback(): Promise<void>;
    enter(): Promise<void>;
    toggleConnection(): Promise<boolean | undefined>;
    private attemptLoginWhenConnected;
    private attemptBasicLogin;
    ssoToggledChanged(): void;
    get selectedIDPName(): string;
    private fetchIDPs;
    toggleHttpMode: (e: CustomEvent) => void;
    onClickSSO(): void;
    private createLoginURL;
    private convertHostUrl;
    onHostSubmit(): Promise<void>;
    onLoginSubmit(): Promise<void>;
    login(credentials: AuthInfo): Promise<void>;
    get submitConnectDisabled(): boolean;
}
//# sourceMappingURL=login-form.d.ts.map